Get Completed Transactions

Use this API to retrieve the completed transactions for a specific savings account. Pending transactions are excluded from the results.

Prerequisites

  • Pass the savingsAccountId as a path parameter.
  • Pass showEnrichedTransactions as a required query parameter (true to include enriched transaction details, false to omit them).

Example Request

GET /v1/savingsaccounts/{savingsAccountId}/transactions?showEnrichedTransactions=true

What Are Completed Transactions?

Completed transactions are those that have been fully processed. Examples include:

  • An incoming return credited to the account
  • An outgoing ACH payment sent to the bank
  • Interest postings, charges, and fee payments

Filtering Results

Use the following query parameters to narrow down the results:

ParameterDescription
offsetStarting position for pagination. Defaults to 0.
limitMaximum number of results to return. Defaults to 200. Pass 0 or a negative value to return all records.
showEnrichedTransactionsSet to true to include enriched transaction details. Required.
subTransactionTypeFilter by transaction sub-type (e.g., 1 for CARD_TRANSACTION, 19 for ACH).
statusTypeFilter by transaction status. Supported values: PROCESSED, PROCESSING, REJECTED.
transactionTypeFilter by transaction type (e.g., 1 for DEPOSIT, 2 for WITHDRAWAL, 3 for INTEREST_POSTING).
Path Params
integer
required
Defaults to 123

The Id associated to the account. Example: 123

Query Params
string
required
Defaults to true

Indicates whether to display enriched transaction details in the response. true: Include enriched transaction details. false: Do not include enriched transaction details.

integer

Indicates the result from which pagination starts. Defaults to 0. Example: 0

integer

Restricts the size of the results returned. Defaults to 200. To override the default and return all entries you must explicitly pass a non-positive integer value for limit e.g. limit=0, or limit=-1 Example: 20

integer
enum

Transaction Sub Type can be used as a filter to retrieve the transactions. Example: 1 0-NONE, 1-CARD_TRANSACTION, 2-SETTLEMENT_RETURN_CREDIT, 3-LOAN_DISBURSEMENT, 4-LOAN_REPAYMENT, 5-CARD_AUTHORIZE_PAYMENT, 6-DOMESTIC_ATM_WITHDRAWAL_FEE, 25-DOMESTIC_ATM_WITHDRAWAL_FEE_REVERSAL, 7-INTERNATIONAL_ATM_WITHDRAWAL_FEE, 26-INTERNATIONAL_ATM_WITHDRAWAL_FEE_REVERSAL, 8-INTERNATIONAL_TRANSACTION_FEE, 27-INTERNATIONAL_TRANSACTION_FEE_REVERSAL, 28-FEE_OTHER, 29-FEE_OTHER_REVERSAL, 9-EXTERNAL_CARD_PUSH_TRANSACTION_FEE, 10-EXTERNAL_CARD_PULL_TRANSACTION_FEE, 11-MERCHANT_CREDIT, 12-MERCHANT_CREDIT_REVERSAL, 13-MCC_CHARGE, 14-TRANSFER_FEE, 15-EXTERNAL_CARD_CHARGE_BACK, 16-EXTERNAL_CARD, 17-CREDIT_CARD_DUE_PAYMENT, 18-TRANSFER_RETURN_FEE, 19-ACH, 20-SWIFT, 21-WIRE, 22-OPERATIONAL_ACCOUNT_LOAN_TRANSACTION, 23-OPERATIONAL_ACCOUNT_SAVINGS_TRANSACTION, 24-SAVINGS_ACCOUNT_WAIVE_CHARGE_TRANSACTION

string

The status of transactions. Example: PROCESSED PROCESSED, PROCESSING, REJECTED,

integer
enum

Filter can be based on the transaction type. Examples: 3 0-INVALID, 1-DEPOSIT, 2-WITHDRAWAL, 3-INTEREST_POSTING, 4-WITHDRAWAL_FEE, 5-ANNUAL_FEE, 6-WAIVE_CHARGES, 7-PAY_CHARGE, 8-DIVIDEND_PAYOUT, 12-INITIATE_TRANSFER, 13-APPROVE_TRANSFER, 14-WITHDRAW_TRANSFER, 15-REJECT_TRANSFER, 16-WRITTEN_OFF, 17-OVERDRAFT_INTEREST, 18-WITHHOLD_TAX, 19-ESCHEAT, 20-AMOUNT_HOLD, 21-AMOUNT_RELEASE, 22-INTEREST_PAYABLE_ACCRUED, 23-OVERDRAFT_INTEREST_RECEIVABLE_ACCRUED, 24-PAY_CHARGE_REVERSAL, 30-FUNDS_ALLOCATION, 31-FUNDS_DEALLOCATION, 25-CHARGE_BACK

date-time

Use this to retrieve transactions from the start date. Example: 24 March 2023

date-time

Retrieve the transaction until the end Date. Example: 24 July 2023

string

Filter based on the reference provided at the time of the transaction. Example : For Donation

string

Different payment type we do like ACH, INTERNAL, CASH etc. Example: CASH

integer

Use this to retrieve Transactions which are greater than the fromAmount. Example: 20.5

integer

Type amount range till. Example: 100

boolean

Type amount range till. Example: 123

boolean
Defaults to false

Do you want to display the accruals transactions. Example : false

string

The list is sorted by the indicated field. Example: id

string

Specifies the sorting order. Possible values - ASC, DESC Example: 'ASC'

boolean
Defaults to false

Do you want to get Card data. Example: false

boolean
Defaults to false

Indicates whether to include payment rail metadata in the response.

int64

Filter transactions by the associated transfer ID.

double

Filter transactions by an exact amount match.

string

Filter transactions by creditor name.

string

Filter transactions by debtor name.

string

Filter by transaction transfer type.

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json